import Axios from 'axios'
import {RAILWAY} from "../../utils/RequestUrls";


var staticMethods = {
  getRailwayCollection: function(){
    return Axios.get(RAILWAY);
  },

  getRailwayAdminCollection: function(){
    return Axios.get(RAILWAY);
  },

  getRailwayDivisionCollection: function(){
    return Axios.get(RAILWAY);
  }
};

function RailwayAPI (websocketService = null) {

  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
Object.assign(RailwayAPI, staticMethods);
export default RailwayAPI
